            #GIT_CMT=24b70a5bd36224f737447e5592f64438ddcc3b1a
%define uek2epoch 2
%define uek4epoch 4
%define uek5epoch 5

%global flavor ora

%if %{?_with_console_socket:1}%{!?_with_console_socket:0}
%define _enable_console_socket --enable-console-socket
%endif
%if %{?_without_console_socket:1}%{!?_without_console_socket:0}
%define _disable_console_socket --disable-console-socket
%endif

%if %{?_with_perf_mgr:1}%{!?_with_perf_mgr:0}
%define _enable_perf_mgr --enable-perf-mgr
%endif
%if %{?_without_perf_mgr:1}%{!?_without_perf_mgr:0}
%define _disable_perf_mgr --disable-perf-mgr
%endif

%if %{?_with_event_plugin:1}%{!?_with_event_plugin:0}
%define _enable_event_plugin --enable-default-event-plugin
%endif
%if %{?_without_event_plugin:1}%{!?_without_event_plugin:0}
%define _disable_event_plugin --disable-default-event-plugin
%endif

%if %{?_with_node_name_map:1}%{!?_with_node_name_map:0}
%define _enable_node_name_map --with-node-name-map%{?_with_node_name_map}
%endif

Summary: InfiniBand subnet manager and administration (Oracle Extensions)
Name: opensm
Epoch: %{uek5epoch}
Version: 3.3.20
Release: 1.0.5%{?dist}%{?flavor}
License: GPLv2 or BSD
Group: System Environment/Daemons
URL: http://openfabrics.org/
Source: opensm-3.3.20.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: autoconf, automake, bison, flex, libtool
BuildRequires: libibumad-devel >= %{uek5epoch}:17.1-1.0.1

Requires: logrotate
Requires: %{name}-libs = %{uek5epoch}:%{version}-%{release}

%description
OpenSM provides an implementation of an InfiniBand Subnet Manager and
Administration. Such a software entity is required to run for in order
to initialize the InfiniBand hardware (at least one per each
InfiniBand subnet).

For use on Oracle Linux systems running the Oracle Database Virtual OS layer.

%package libs
Summary: Libraries from the opensm package (Oracle Extensions)
Group: System Environment/Libraries
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Obsoletes: libopensm, libosmcomp, libosmvendor

%description libs
Shared libraries that are part of the opensm package but are also used by
other applications.  If you don't need opensm itself installed, these
libraries can be installed to satisfy dependencies of other applications.

For use on Oracle Linux systems running the Oracle Database Virtual OS layer.

%package devel
Summary: Development files for OpenSM (Oracle Extensions)
Group: System Environment/Libraries
Requires: %{name}-libs = %{uek5epoch}:%{version}-%{release}
Requires: libibumad-devel >= %{uek5epoch}:17.1-1.0.1
Obsoletes: libopensm-devel, libosmcomp-devel, libosmvendor-devel

%description devel
Header files for OpenSM.

For use on Oracle Linux systems running the Oracle Database Virtual OS layer.

%package static
Summary: Static version of the opensm libraries (Oracle Extensions)
Group: System Environment/Libraries
Requires: %{name}-libs = %{uek5epoch}:%{version}-%{release}
Requires: libibumad-devel >= %{uek5epoch}:17.1-1.0.1

%description static
Static version of the opensm libraries

For use on Oracle Linux systems running the Oracle Database Virtual OS layer.


%prep
%setup -q

%build
./autogen.sh
%configure \
        %{?_enable_console_socket} \
        %{?_disable_console_socket} \
        %{?_enable_perf_mgr} \
        %{?_disable_perf_mgr} \
        %{?_enable_event_plugin} \
        %{?_disable_event_plugin} \
        %{?_enable_node_name_map}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
etc=$RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p ${RPM_BUILD_ROOT}/var/cache/opensm
if [ -f /etc/redhat-release -o -s /etc/redhat-release ]; then
    REDHAT="redhat-"
else
    REDHAT=""
fi
mkdir -p $etc/{init.d,logrotate.d} $etc/opensm
install -m 755 scripts/${REDHAT}opensm.init $etc/init.d/opensmd
install -D -m 644 scripts/opensm.logrotate $etc/logrotate.d/opensm
install -m 755 scripts/sldd.sh $RPM_BUILD_ROOT%{_sbindir}/sldd.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
    if [ -e /sbin/chkconfig ]; then
        /sbin/chkconfig --add opensmd
    elif [ -e /usr/sbin/update-rc.d ]; then
        /usr/sbin/update-rc.d opensmd defaults
    else
        /usr/lib/lsb/install_initd /etc/init.d/opensmd
    fi
    if type systemctl >/dev/null 2>&1; then
        systemctl --system daemon-reload
    fi
else
    /etc/init.d/opensmd condrestart
fi

%preun
if [ $1 = 0 ]; then
    /etc/init.d/opensmd stop
    if [ -e /sbin/chkconfig ]; then
        /sbin/chkconfig --del opensmd
    elif [ -e /usr/sbin/update-rc.d ]; then
        /usr/sbin/update-rc.d -f opensmd remove
    else
        /usr/lib/lsb/remove_initd /etc/init.d/opensmd
    fi
    rm -f /var/cache/opensm/*
fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_sbindir}/opensm
%{_sbindir}/osmtest
%{_mandir}/man8/*
%{_mandir}/man5/*
%doc AUTHORS COPYING README doc/performance-manager-HOWTO.txt doc/QoS_management_in_OpenSM.txt doc/partition-config.txt doc/opensm-sriov.txt doc/current-routing.txt doc/opensm_release_notes-3.3.txt
%{_sysconfdir}/init.d/opensmd
%{_sbindir}/sldd.sh
%config(noreplace) %{_sysconfdir}/logrotate.d/opensm
%dir /var/cache/opensm
%dir %{_sysconfdir}/opensm

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/infiniband/*
%{_libdir}/*.so

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Fri Feb 07 2020 Mark Haywood <mark.haywood@oracle.com> - 5:3.3.20-1.0.5
- BUILDINFO: commit=24b70a5bd36224f737447e5592f64438ddcc3b1a
- spec: Rebuild for OL8 (Mark Haywood) [Orabug 30522333]

* Fri Nov 09 2018 Aron Silverton <aron.silverton@oracle.com> - 5:3.3.20-1.0.4
- spec: Change "vos" to "ora" and update summaries and descriptions [Orabug: 29128747]

* Mon Aug 27 2018 Aron Silverton <aron.silverton@oracle.com> - 5:3.3.20-1.0.3
- Add "vos" to RPM release number (Aron Silverton) [Orabug 28550856]

* Mon May 21 2018 Aron Silverton <aron.silverton@oracle.com> - 5:3.3.20-1.0.2
- Add Epoch to package versioning (Aron Silverton) [Orabug: 27774601]

* Wed Mar 21 2018 Aron Silverton <aron.silverton@oracle.com> - 3.3.20-1.0.1
- Add generated spec file and Oracle build env (Aron Silverton) [Orabug: 26882039]
- Reconfigure for Oracle's build system (Aron Silverton) [Orabug 26882039]
